Create a new template

http
POST https://services.leadconnectorhq.com/emails/builder

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KT
titlestringNotemplate title
typestringYesPossible values: 'html', 'folder', 'import', 'builder', 'blank'
updatedBystringNozYy3YOUuHxgomU1uYJty
builderVersionstringNoPossible values: '1', '2'
namestringNoTemplate1
parentIdstringNozYy3YOUuHxgomU1uYJty
templateDataUrlstringNo
importProviderstringYesPossible values: 'mailchimp', 'active_campaign', 'kajabi'
importURLstringNohttps://tplshare.com/fhYJ3Mi
templateSourcestringNotemplate_library
isPlainTextbooleanNoFalse

Responses

201 - Success
  • redirect (string, required): template id Example: 66e811229245fc098765590

  • traceId (string, required): trace id Example: 0c52e980-41f6-4be7-8c4b-e2c5a13dc3c2

json
{
  "redirect": "66e811229245fc098765590",
  "traceId": "0c52e980-41f6-4be7-8c4b-e2c5a13dc3c2"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
404 - Not Found
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/emails/builder' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "ve9EPM428h8vShlRW1KT",
  "title": "template title",
  "type": "html",
  "updatedBy": "zYy3YOUuHxgomU1uYJty",
  "builderVersion": "2",
  "name": "Template1",
  "parentId": "zYy3YOUuHxgomU1uYJty",
  "templateDataUrl": "",
  "importProvider": "mailchimp",
  "importURL": "https://tplshare.com/fhYJ3Mi",
  "templateSource": "template_library",
  "isPlainText": false
}'

Last updated October 26, 2026

Was this page helpful?